Loading...
Searching...
No Matches
juce::dsp::LinkwitzRileyFilter< SampleType > Class Template Reference

## Detailed Description

template<typename SampleType>
class juce::dsp::LinkwitzRileyFilter< SampleType >

A filter class designed to perform multi-band separation using the TPT (Topology-Preserving Transform) structure.

Linkwitz-Riley filters are widely used in audio crossovers that have two outputs, a low-pass and a high-pass, such that their sum is equivalent to an all-pass filter with a flat magnitude frequency response. The Linkwitz-Riley filters available in this class are designed to have a -24 dB/octave slope (LR 4th order).

The documentation for this class was generated from the following file:

- juce_dsp/processors/juce_LinkwitzRileyFilter.h

## Public Types

using | Type = LinkwitzRileyFilterType

## Public Member Functions

| LinkwitzRileyFilter ()
| Constructor.
void | setType (Type newType)
| Sets the filter type.
void | setCutoffFrequency (SampleType newCutoffFrequencyHz)
| Sets the cutoff frequency of the filter in Hz.
Type | getType () const noexcept
| Returns the type of the filter.
SampleType | getCutoffFrequency () const noexcept
| Returns the cutoff frequency of the filter.
void | prepare (const ProcessSpec &spec)
| Initialises the filter.
void | reset ()
| Resets the internal state variables of the filter.
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept
| Processes the input and output samples supplied in the processing context.
SampleType | processSample (int channel, SampleType inputValue)
| Performs the filter operation on a single sample at a time.
void | processSample (int channel, SampleType inputValue, SampleType &outputLow, SampleType &outputHigh)
| Performs the filter operation on a single sample at a time, and returns both the low-pass and the high-pass outputs of the TPT structure.
void | snapToZero () noexcept
| Ensure that the state variables are rounded to zero if the state variables are denormals.

## Member Typedef Documentation

## Type

template<typename SampleType>

using juce::dsp::LinkwitzRileyFilter< SampleType >::Type = LinkwitzRileyFilterType

## Constructors and Destructors

## LinkwitzRileyFilter()

template<typename SampleType>

juce::dsp::LinkwitzRileyFilter< SampleType >::LinkwitzRileyFilter | ( |  | ) |

Constructor.

## Member Functions

## setType()

template<typename SampleType>

void juce::dsp::LinkwitzRileyFilter< SampleType >::setType | ( | Type | newType | ) |

Sets the filter type.

## setCutoffFrequency()

template<typename SampleType>

void juce::dsp::LinkwitzRileyFilter< SampleType >::setCutoffFrequency | ( | SampleType | newCutoffFrequencyHz | ) |

Sets the cutoff frequency of the filter in Hz.

## getType()

template<typename SampleType>

Type juce::dsp::LinkwitzRileyFilter< SampleType >::getType | ( |  | ) | const

inline noexcept

Returns the type of the filter.

## getCutoffFrequency()

template<typename SampleType>

SampleType juce::dsp::LinkwitzRileyFilter< SampleType >::getCutoffFrequency | ( |  | ) | const

inline noexcept

Returns the cutoff frequency of the filter.

## prepare()

template<typename SampleType>

void juce::dsp::LinkwitzRileyFilter< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the filter.

## reset()

template<typename SampleType>

void juce::dsp::LinkwitzRileyFilter< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the filter.

## process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::LinkwitzRileyFilter< SampleType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Processes the input and output samples supplied in the processing context.

References jassert, processSample(), and snapToZero().

## processSample() [1/2]

template<typename SampleType>

SampleType juce::dsp::LinkwitzRileyFilter< SampleType >::processSample | ( | int | channel,
|  | SampleType | inputValue )

Performs the filter operation on a single sample at a time.

Referenced by process().

## processSample() [2/2]

template<typename SampleType>

void juce::dsp::LinkwitzRileyFilter< SampleType >::processSample | ( | int | channel,
|  | SampleType | inputValue,
|  | SampleType & | outputLow,
|  | SampleType & | outputHigh )

Performs the filter operation on a single sample at a time, and returns both the low-pass and the high-pass outputs of the TPT structure.

## snapToZero()

template<typename SampleType>

void juce::dsp::LinkwitzRileyFilter< SampleType >::snapToZero | ( |  | ) |

noexcept

Ensure that the state variables are rounded to zero if the state variables are denormals.

This is only needed if you are doing sample by sample processing.

Referenced by process().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited